package main

import (
	`crypto`
	`crypto/x509`
)

type Pair struct {
	pairType         string                              // see pairTypes
	keyBytes         map[string][]byte                   // see keyTypes for keys for this map
	privKeys         map[string]crypto.PrivateKey        // see keyTypes for keys for this map
	certBytes        map[string][]byte                   // see keyTypes for keys for this map
	certs            map[string]*x509.Certificate        // see keyTypes for keys for this map
	csrs             map[string]*x509.CertificateRequest // see keyTypes for keys for this map; does not exist for ca
	csrBytes         map[string][]byte                   // see keyTypes for keys for this map; does not exist for ca
	chainParentBytes map[string][]byte
	chainParent      map[string]*x509.Certificate
}
