package cryptparse

import (
	`errors`
)

var (
	ErrBadMtlsMode   error = errors.New("invalid TLS client cert auth/mTLS mode/type")
	ErrBadPortRange  error = errors.New("invalid port; must be between 0 and 65535")
	ErrBadTlsCipher  error = errors.New("invalid TLS cipher suite")
	ErrBadTlsCurve   error = errors.New("invalid TLS curve")
	ErrBadTlsVer     error = errors.New("invalid TLS version")
	ErrReqParams     error = errors.New("a nil/uninitialized requestUriParams was passed")
	ErrReqStruct     error = errors.New("invalid type; a pointer to a struct is required")
	ErrUnknownCipher error = errors.New("unknown TLS cipher")
	ErrUnknownKey    error = errors.New("unknown key type")
)
